summaryrefslogtreecommitdiffstats
path: root/office/openoffice.org/openoffice.org.SlackBuild
diff options
context:
space:
mode:
author Robby Workman2010-05-11 19:46:16 +0200
committer Michiel van Wessem2010-05-11 19:46:16 +0200
commit74fb9218347298898d0c1b351ef08270b249cd91 (patch)
tree1167a467dea1b13671b15771947aef548a6f4502 /office/openoffice.org/openoffice.org.SlackBuild
parent00f1a427e6b4ca6e7ba53c30711a47246d0db461 (diff)
downloadslackbuilds-74fb9218347298898d0c1b351ef08270b249cd91.tar.gz
office/openoffice.org: Updated for version 2.4.0
Diffstat (limited to 'office/openoffice.org/openoffice.org.SlackBuild')
-rw-r--r--office/openoffice.org/openoffice.org.SlackBuild68
1 files changed, 29 insertions, 39 deletions
diff --git a/office/openoffice.org/openoffice.org.SlackBuild b/office/openoffice.org/openoffice.org.SlackBuild
index 17b973988b..5523bf220d 100644
--- a/office/openoffice.org/openoffice.org.SlackBuild
+++ b/office/openoffice.org/openoffice.org.SlackBuild
@@ -1,8 +1,8 @@
#!/bin/bash
-#
-# Slackware build script of openoffice.org (binary repackaging)
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Slackware build script for OpenOffice.org (binary repackaging)
+
+# Copyright 2006-2008 Robby Workman, Northport, Alabama, ASA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -11,7 +11,7 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
@@ -24,14 +24,15 @@
# Thanks to Sandman1, Larhzu, and MacIver for early assistance.
# Thanks to Fred Emmott (http://slamd64.com) for some better code in a few
-# places and ideas to include the Optimization Solver and disable javaldx.
+# places and ideas to include the Optimization Solver and disable javaldx.
# Thanks to eroc for the idea to include support for other languages.
PRGNAM=openoffice.org
-VERSION=2.2.1
+VERSION=2.4.0
ARCH=i586 # The binaries are built for i586 - leave this alone
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -41,7 +42,9 @@ OUTPUT=${OUTPUT:-/tmp}
# run the script (OOLANG=pt-BR ./openoffice.org.SlackBuild for example) or
# change it in this script. Note that you will need to have the correct
# tarball in the build directory for this to work...
-# TODO: Find where someone can obtain these localized tarballs...
+# You can get localized tarballs from the following location:
+# ftp://ftp.free.fr/mirrors/ftp.openoffice.org/localized/$OOLANG/$VERSION/
+# Thanks to Niki Kovacs for finding this :-)
OOLANG=${OOLANG:-en-US}
PKG_LANG=$(echo $OOLANG | sed s/-/_/) # Leave this alone
@@ -58,37 +61,36 @@ DISABLE_JAVA=${DISABLE_JAVA:-NO}
# Set the following variable to "YES" Default is "NO"
ADD_SOLVER=${ADD_SOLVER:-NO}
-# Yes, I know there is a slackware integration file in the desktop-integration
-# directory, but it's mostly worthless to us. I mailed the maintainer of this
+# Yes, I know there is a Slackware integration file in the desktop-integration
+# directory, but it's worthless to us. I mailed the maintainer of this
# module with suggestions on how to make it more compliant with standard
# Slackware packaging, but I received no response. Anyway, to sum up, we're
# not using that file...
-# Require the script to exit if any command fails
-set -e
+set -e # Require the script to exit if any command fails
# Ignore this - it's just to get the toplevel directory name of the
# extracted tarball archive
SOURCEDIR=$(tar -tzf $CWD/OOo_${VERSION}_LinuxIntel_install_${OOLANG}.tar.gz | head -1 | tr -d \/)
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SOURCEDIR
-tar -xzf $CWD/OOo_${VERSION}_LinuxIntel_install_${OOLANG}.tar.gz || exit 1
+tar xvf $CWD/OOo_${VERSION}_LinuxIntel_install_${OOLANG}.tar.gz
cd $SOURCEDIR/RPMS/
mv desktop-integration/openoffice.org-freedesktop-menus-*.noarch.rpm .
-rm -rf desktop-integration
for FILE in *.rpm ; do rpm2cpio < $FILE | cpio -imdv ; done
+rm -rf desktop-integration *.rpm
mv opt usr $PKG
cd $PKG
# Create symlinks in /usr/bin to actual binaries and edit the
-# included wrapper scripts /usr/bin to correct the paths
+# included wrapper scripts in /usr/bin to correct the paths
( cd $PKG/usr/bin
- rm -f unopkg_gui # Broken upstream?
for FILE in sbase scalc sdraw simpress smath soffice spadmin swriter unopkg ; do
rm -f $FILE
- ln -sf ../../opt/openoffice.org2.2/program/$FILE . ;
+ ln -sf ../../opt/openoffice.org2.4/program/$FILE . ;
done
for i in $(find . -type f) ; do sed -i 's/etc/opt/g' $i ; done
)
@@ -96,43 +98,31 @@ cd $PKG
# Correct symlinks in /usr/share/applications
( cd $PKG/usr/share/applications
for APP in base calc draw extension impress math printeradmin writer qstart ; do
- rm -f openoffice.org2.2-$APP.desktop
- ln -sf ../../../opt/openoffice.org2.2/share/xdg/$APP.desktop \
- openoffice.org2.2-$APP.desktop ;
+ rm -f openoffice.org2.4-$APP.desktop
+ ln -sf ../../../opt/openoffice.org2.4/share/xdg/$APP.desktop \
+ openoffice.org2.4-$APP.desktop ;
done
)
-# Correct icon paths and Exec commands in the desktop files
-# See http://bugzilla.xfce.org/show_bug.cgi?id=2430 for why we want to
-# change the Exec lines
-cat $CWD/desktop-file-fix-2.2.diff | patch -p1
-
-# Add /usr/share/pixmaps directory and link icons to it
-mkdir -p $PKG/usr/share/pixmaps
-( cd $PKG/usr/share/pixmaps
- for APP in base calc draw extension impress math printeradmin writer ; do
- ln -sf ../../../usr/share/icons/hicolor/48x48/apps/openofficeorg22-$APP.png . ;
- done
-)
+# Fix Exec commands in the desktop files
+# See http://bugzilla.xfce.org/show_bug.cgi?id=2430
+patch -p1 < $CWD/desktop-file-fix-2.4.0.diff
# Move docs to their correct locations
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
for i in README README.html LICENSE LICENSE.html THIRDPARTYLICENSEREADME.html ; do
- mv $PKG/opt/openoffice.org2.2/$i $PKG/usr/doc/$PRGNAM-$VERSION/$i ;
+ mv $PKG/opt/openoffice.org2.4/$i $PKG/usr/doc/$PRGNAM-$VERSION/$i ;
done
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Fix the permissions on a few icons that are executable
-find $PKG/usr/share/icons -name "*.png" -exec chmod 0644 {} \;
-
# Disable Java support if desired (see above)
if [ "$DISABLE_JAVA" = "YES" ]; then
- chmod -x $PKG/opt/openoffice.org2.2/program/javaldx
+ chmod -x $PKG/opt/openoffice.org2.4/program/javaldx
fi
# Add optimization solver if desired (see above)
if [ "$ADD_SOLVER" = "YES" -a -f "$CWD/scsolver.uno.zip" ]; then
- ( cd $PKG/opt/openoffice.org2.2
+ ( cd $PKG/opt/openoffice.org2.4
program/unopkg add --shared $CWD/scsolver.uno.zip
)
fi
@@ -142,7 +132,7 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
# Fix ownership and permissions and make the package
-#chown -R root:root .
+chown -R root:root .
find . -type d -exec chmod 755 {} \;
chmod -R u+rw,go+r-w,a-s .
-/sbin/makepkg -p -c n -l y $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$ARCH-$BUILD$TAG.tgz